






#import "CadenceVerifyViewController.h"
#import "RightCarSunButton.h"
#import "FarToast.h"
#import "StackStopTextField.h"
#import "NSString+Extension.h"
@import WebKit;

@interface CadenceVerifyViewController ()

@property (nonatomic, strong) StackStopTextField *tailLegibleTextField;
@property (nonatomic, strong) UITextField *fillCloseTextField;
@property (nonatomic, strong) RightCarSunButton *editBuiltButton;

@end

@implementation CadenceVerifyViewController


- (RightCarSunButton *)editBuiltButton {
    if (!_editBuiltButton) {
        _editBuiltButton = [[RightCarSunButton alloc] init];
    }
    return _editBuiltButton;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.catAtomTryButton.hidden = [self.hisEllipsis[0] boolValue];
    
    UILabel *oddLabel = [PaceDownHue queueProblemShiftSilenceFitness:PaceDownHue.touchBusyMalay.stripSongRussianProcessScatteredLength];
    oddLabel.numberOfLines = 0;
    [self.view addSubview:oddLabel];
    [oddLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(PaceDownHue.absoluteAuto.tipPanRegion);
        make.left.mas_equalTo(PaceDownHue.absoluteAuto.tipPanRegion);
        make.right.mas_equalTo(-PaceDownHue.absoluteAuto.tipPanRegion);
    }];
    
    
    self.tailLegibleTextField = [[StackStopTextField alloc] initWithController:self];
    [self.view addSubview:self.tailLegibleTextField];
    [self.tailLegibleTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(oddLabel.mas_bottom).offset(PaceDownHue.absoluteAuto.kinTiedThird);
        make.left.mas_equalTo(PaceDownHue.absoluteAuto.queryButLine);
        make.right.mas_equalTo(-PaceDownHue.absoluteAuto.queryButLine);
        make.height.mas_equalTo(PaceDownHue.absoluteAuto.pitchLastEra);
    }];
    
    
    self.fillCloseTextField = [PaceDownHue oldestCentersChinaColumnsEyePressCode];
    [self.view addSubview:self.fillCloseTextField];
    [self.fillCloseTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.tailLegibleTextField.mas_bottom).offset(PaceDownHue.absoluteAuto.maxGigahertz);
        make.left.mas_equalTo(PaceDownHue.absoluteAuto.queryButLine);
        make.height.mas_equalTo(PaceDownHue.absoluteAuto.pitchLastEra);
    }];
    
    spanish(self);
    self.editBuiltButton.planHintRetryAction = ^{
        initially(self);
        NSString *notePieceCode = self.tailLegibleTextField.moireRainOwner;
        NSString *slightBelow = self.tailLegibleTextField.achievedObserversTeamDarkerFisheye;
        if (self.tailLegibleTextField.tailLegibleTextField.text.focusMembers) {
            [self.editBuiltButton scheduledBoundingMetabolicBarBag];
            [AskAlertView notationWasTokenTriggerYouBars:PaceDownHue.touchBusyMalay.iterative message:PaceDownHue.touchBusyMalay.centeredRowPrintableVolumeFocusedBehavior completion:nil];
            return;
        }
        if ([self.pageWordSmile respondsToSelector:@selector(tooSixSafeHowAcuteConditionExtraType:strictRound:hallCode:completion:)]) {
            [IndianHardView bandLinkPauseWindow];
            [self.pageWordSmile tooSixSafeHowAcuteConditionExtraType:PaceDownHue.absoluteAuto.lowTheCarDense strictRound:slightBelow hallCode:notePieceCode completion:^(id object) {
                [IndianHardView kashmiriDiscountsImageBadBinWindow];
                if ([object boolValue]) {
                    [FarToast plugBorder:PaceDownHue.touchBusyMalay.chromaticSawFunkRespondsAdditionsInvertedCode];
                }else {
                    [self.editBuiltButton scheduledBoundingMetabolicBarBag];
                }
            }];
        }
    };
    [self.view addSubview:self.editBuiltButton];
    [self.editBuiltButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.fillCloseTextField);
        make.height.equalTo(self.fillCloseTextField);
        make.left.equalTo(self.fillCloseTextField.mas_right).offset(PaceDownHue.absoluteAuto.barsEvictWho);
        make.right.equalTo(self.tailLegibleTextField);
    }];
    
    
    [self.editBuiltButton setContentHuggingPriority:UILayoutPriorityRequired forAxis:UILayoutConstraintAxisHorizontal];
    
    
    UIButton *malayTintButton = [PaceDownHue issueSolidUnsafeRelevanceInsetColor:PaceDownHue.touchBusyMalay.grayMoveCleanVolatileGlyph];
    [malayTintButton addTarget:self action:@selector(fatPencilDrivenMouthEditorsAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:malayTintButton];
    [malayTintButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.fillCloseTextField.mas_bottom).offset(PaceDownHue.absoluteAuto.maxGigahertz);
        make.left.mas_equalTo(PaceDownHue.absoluteAuto.queryButLine);
        make.right.mas_equalTo(-PaceDownHue.absoluteAuto.queryButLine);
        make.height.mas_equalTo(PaceDownHue.absoluteAuto.youNapDerive);
    }];
}

- (void)fatPencilDrivenMouthEditorsAction:(id)sender {
    if (self.tailLegibleTextField.tailLegibleTextField.text.focusMembers) {
        [AskAlertView notationWasTokenTriggerYouBars:PaceDownHue.touchBusyMalay.iterative message:PaceDownHue.touchBusyMalay.centeredRowPrintableVolumeFocusedBehavior completion:nil];
        return;
    }
    if (self.fillCloseTextField.text.focusMembers) {
        [AskAlertView notationWasTokenTriggerYouBars:PaceDownHue.touchBusyMalay.iterative message:PaceDownHue.touchBusyMalay.armenianExportedSubSobDarken completion:nil];
        return;
    }
    NSString *notePieceCode = self.tailLegibleTextField.moireRainOwner;
    NSString *slightBelow = self.tailLegibleTextField.achievedObserversTeamDarkerFisheye;
    if ([self.pageWordSmile respondsToSelector:@selector(genreThinHealthPortalAudiencePlusScheduled:code:hallCode:completion:)]) {
        [IndianHardView bandLinkPauseWindow];
        [self.pageWordSmile genreThinHealthPortalAudiencePlusScheduled:slightBelow code:self.fillCloseTextField.text hallCode:notePieceCode completion:^(id object) {
            [IndianHardView kashmiriDiscountsImageBadBinWindow];
            if ([object boolValue]) {
                [[AboutLikeManager shared] bookFusionRealmBeaconsLetterAudioViewController:self.navigationController];
                [FarToast plugBorder:PaceDownHue.touchBusyMalay.maxDifferentSocialAcceptClearedLooper];
                if ([self.hisEllipsis[1] isKindOfClass:[WKWebView class]]) {
                    WKWebView *wayLockMain = (WKWebView *)self.hisEllipsis[1];
                    [wayLockMain reload];
                }
            }
        }];
    }
}

- (void)dealloc {
    [self.editBuiltButton scheduledBoundingMetabolicBarBag];
}

@end
